# Class AuditLogObserver.AuditLogEntry

java.lang.Object
com.university.bookstore.observer.AuditLogObserver.AuditLogEntry

Enclosing class:
  `AuditLogObserver`

public static class AuditLogObserver.AuditLogEntry extends Object
Represents a single audit log entry.

Since:
  2024-09-15
Version:
  3.0
Author:
  Navid Mohaghegh

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuditLogEntry(long timestamp, String eventType, String materialId, String materialTitle, String description)`
  Creates an audit log entry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Gets the event description.
  `String`
  `getEventType()`
  Gets the type of event.
  `String`
  `getMaterialId()`
  Gets the ID of the material.
  `String`
  `getMaterialTitle()`
  Gets the title of the material.
  `long`
  `getTimestamp()`
  Gets the timestamp of the event.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AuditLogEntry

    public AuditLogEntry(long timestamp, String eventType, String materialId, String materialTitle, String description)
    Creates an audit log entry.
    Parameters:
      `timestamp` - when the event occurred
      `eventType` - type of event
      `materialId` - ID of the material
      `materialTitle` - title of the material
      `description` - event description

- ## Method Details

  - ### getTimestamp

    public long getTimestamp()
    Gets the timestamp of the event. @return timestamp of the event

  - ### getEventType

    public String getEventType()
    Gets the type of event. @return type of event

  - ### getMaterialId

    public String getMaterialId()
    Gets the ID of the material. @return ID of the material

  - ### getMaterialTitle

    public String getMaterialTitle()
    Gets the title of the material. @return title of the material

  - ### getDescription

    public String getDescription()
    Gets the event description. @return event description

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`